<?php 

class ControladorProveedor {



    static public function ctrMostrarProveedores($item, $valor){

		$tabla = "proveedor";

		$respuesta = ModeloProveedor::MdlMostrarProveedores($tabla, $item, $valor);

		return $respuesta;
	}

	/*=============================================
	REGISTRO DE PROVEEDOR
	=============================================*/

	static public function ctrCrearProveedor(){

		if(isset($_POST["nuevoNombre"])){
			if(preg_match('/[a-zA-Z0-9 ]/', $_POST["nuevoNombre"]) &&
			   preg_match('/^[0-9]+$/', $_POST["nuevoRuc"])){
				$tabla = "proveedor";
				$estado = 1;
				$datos = array("ruc_dni" => $_POST["nuevoRuc"],
					           "razon_social" => $_POST["nuevoNombre"],
					           "email" => $_POST["nuevoCorreo"],
					           "telefono" => $_POST["nuevoTelefono"],
					           "direccion"=>$_POST["nuevoDireccion"],
							   "estado"=>$estado);
				$respuesta = ModeloProveedor::mdlIngresarProveedor($tabla, $datos);
			
				if($respuesta == "ok"){
					echo '<script>
					swal({
						type: "success",
						title: "¡El Proveedor ha sido guardado correctamente!",
						showConfirmButton: true,
						confirmButtonText: "Cerrar"
					}).then(function(result){
						if(result.value){
							window.location = "proveedor";
						}
					});
			
					</script>';
				}	
			}else{
				echo '<script>
					swal({
						type: "error",
						title: "¡El Proveedor no puede ir vacío o llevar caracteres especiales!",
						showConfirmButton: true,
						confirmButtonText: "Cerrar"
					}).then(function(result){
						if(result.value){
							window.location = "proveedor";
						}
					});
				</script>';
			}
		}
	}

	/*=============================================
	EDITAR PROVEEDOR
	=============================================*/

	static public function ctrEditarProveedor(){

		if(isset($_POST["editarNombre"])){

			if(preg_match('/[a-zA-Z0-9 ]/', $_POST["editarNombre"]) &&
			   preg_match('/^[0-9]+$/', $_POST["editarRuc"]) &&
			   preg_match('/^[#\.\-a-zA-Z0-9 ]+$/', $_POST["editarDireccion"])){
				$tabla = "proveedor";
				$datos = array("ruc_dni" => $_POST["editarRuc"],
								"id" => $_POST["idProveedor"],
					           "razon_social" => $_POST["editarNombre"],
					           "email" => $_POST["editarCorreo"],
					           "telefono" => $_POST["editarTelefono"],
					           "direccion"=>$_POST["editarDireccion"]);
				$respuesta = ModeloProveedor::mdlEditarProveedor($tabla, $datos);
				if($respuesta == "ok"){
					echo '<script>
					swal({
						type: "success",
						title: "¡El Proveedor ha sido guardado correctamente!",
						showConfirmButton: true,
						confirmButtonText: "Cerrar"
					}).then(function(result){
						if(result.value){					
							window.location = "proveedor";
						}
					});
					</script>';
				}	
			}else{
				echo '<script>
					swal({
						type: "error",
						title: "¡El Proveedor no puede ir vacío o llevar caracteres especiales!",
						showConfirmButton: true,
						confirmButtonText: "Cerrar"
					}).then(function(result){
						if(result.value){		
							window.location = "proveedor";
						}
					});
				</script>';
			}
		}
	}

	static public function ctrBorrarProveedor(){

		if(isset($_GET["idProveedor"])){

			$tabla ="proveedor";
			$datos = $_GET["idProveedor"];

			$respuesta = ModeloProveedor::mdlBorrarProveedor($tabla, $datos);

			if($respuesta == "ok"){

				echo'<script>

				swal({
					  type: "success",
					  title: "El Proveedor ha sido borrado correctamente",
					  showConfirmButton: true,
					  confirmButtonText: "Cerrar"
					  }).then(function(result){
								if (result.value) {

								window.location = "proveedor";

								}
							})

				</script>';

			}		

		}

	}
}